###############
# PAGE STYLES #
###############

package Style

# _content_ is outputted from the library program
_content_ {<center><blink><b><font size="7" color="#FF0000">UNDEFINED PAGE</font></b></blink></center>}

# to use this style system output
# _header_
# all your page content, then
# _footer_

# use the page parameter 'style' to choose the appropriate style

# the style system uses
# _pagetitle_  - what gets displayed at the top of the browser window
# _pagebannerextra_ - anything extra you want displayed in the page banner
# _pagefooterextra_ - anything extra you want displayed in the footer
# _imagethispage_
# _linkotherlanguages_

# defaults for the above macros
_pagetitle_ {_collectionname_}
_pagebannerextra_ {}
_pagefooterextra_ {}
_imagethispage_ {}

# it also relies on lots of Globals, the most important of these are:
# _cookie_ - put in the cgi header
# _globalscripts_ - javascript stuff
# _httpiconchalk_ - the image down the left of the page
# _imagecollection_
# _imagehome_
# _imageabout_
# _imagehelp_
# _imagepref_
# _linkotherversion_

_header_ {_cgihead_
_htmlhead_('background="_httpiconchalk_"')_startspacer__pagebanner_
}

# this declaration ends up being the same as style=restrict, never mind
_header_[version=text] {_cgihead_
_htmlhead__pagebanner_
}

# style=restrict lacks the sidestripe, version links and 
# language links
_header_[style=restrict] {_cgihead_
_htmlhead__pagebanner_
}


# _cgihead_ {Content-type: text/html
# _cookie_
#
# }	
_cgihead_{}


# htmlhead uses:
# _1_ - extra parameters for the body tag
# _pagetitle_
# _globalscripts_
_htmlhead_ {
<html>
<head>
<title>_pagetitle_</title>
_globalscripts_

</head>
<body bgcolor="\#ffffff" text="\#000000" link="\#006666" 
      alink="\#cc9900" vlink="\#666633" _1_>
}


# _startspacer_ is a spacer to get past the 10010 graphic. It contains an open
# <table> tag which must eventually be closed by _endspacer_.
_startspacer_ {
<table border=0 cellspacing=0 cellpadding=0 width=100%>
<tr><td valign=top width=_widthspacer_><img src="_httpiconspacer_" width=_widthspacer_ height=_heightspacer_ alt="" border=0></td>
<td><center><table width=80%><tr><td>
}


# pagebanner uses :
# _imagecollection_ 
# _imagehome_
# _imageabout_
# _imagehelp_
# _imagepref_
# _imagethispage_
# _pagebannerextra_
_pagebanner_ {
<center>
<table width=537 cellspacing=0 cellpadding=0>
  <tr valign=top>
    <td rowspan=2 _alignleft_>_imagecollection_</td>
    <td _alignright_>_imagehome__imageabout__imagehelp__imagepref_</td>
  </tr>

  <tr>
    <td _alignright_>_imagethispage_</td>
  </tr>

  <tr>
    <td colspan=2>_pagebannerextra_</td>
  </tr>
</table>
</center>
}

_pagebanner_[version=text] {
<_font_>
<center><h2><b><u>_imagecollection_</u></b></h2></center><p>
_imagehome_<br>
_imageabout_<br>
_imagehelp_<br>
_imagepref_<br>
_pagebannerextra_
</font>
<p>
}



# note that _pagefooter_ is for individual pages
_footer_ {
<p>
<_font_>
_pagefooterextra_
<center>
_linkotherlanguages_
_linkotherversion_
</center>
</font>
</table>
_endspacer__htmlfooter_
}


_footer_[style=restrict] {_pagefooterextra_
_htmlfooter_
}

_footer_[style=htmlonly] {_pagefooterextra_
_endspacer__htmlfooter_
}

_endspacer_ {
</td></tr></table>
</center>
</td></tr>
</table>
}

_htmlfooter_ {
</body>
</html>
}


# _alignleft_ and _alignright_ are overriden for right-to-left
# writing systems
_alignleft_ {align=left}
_alignright_ {align=right}

#_smallfont_ {font face="Arial,Helvetica,Times" size="-2"}
#_font_ {font face="Arial,Helvetica,Times" size="-1"}
_font_ {font}
_smallfont_ {font size="-1"}

_globalscripts_{
<script>
<!--
    function img\_on(imgName) \{
        if (version == "n3") \{
            imgOn = eval(imgName + "\_on.src");
            document [imgName].src = imgOn;
        \}
    \}

    function img\_off(imgName) \{
        if (version == "n3") \{
            imgOff = eval(imgName + "\_off.src");
            document [imgName].src = imgOff;
        \}
    \}

    browserName = navigator.appName;          
    browserVer = parseInt(navigator.appVersion);
    if ((browserName == "Netscape" || browserName == "Microsoft Internet Explorer")
        && browserVer >= 3) version = "n3";
    else version = "n2";
              
    if (version == "n3") \{
        home\_on = new Image(_widthchomex_, _heightchomex_);
        home\_on.src = "_httpiconchomeon_";
        about\_on = new Image(_widthtaboutx_, _heighttaboutx_);
        about\_on.src = "_httpicontabouton_";
        help\_on = new Image(_widthchelpx_, _heightchelpx_);
        help\_on.src = "_httpiconchelpon_";
        pref\_on = new Image(_widthcprefx_, _heightcprefx_);
        pref\_on.src = "_httpiconcprefon_";
        search\_on = new Image(_widthtsrchx_, _heighttsrchx_);
        search\_on.src = "_httpicontsrchon_";
        titles\_on = new Image(_widthttitlx_, _heightttitlx_);
        titles\_on.src = "_httpiconttitlon_";
        authors\_on = new Image(_widthtauthx_, _heighttauthx_);
        authors\_on.src = "_httpicontauthon_";

        home\_off = new Image(_widthchomex_, _heightchomex_);
        home\_off.src = "_httpiconchomeof_";
        about\_off = new Image(_widthtaboutx_, _heighttaboutx_);
        about\_off.src = "_httpicontaboutof_";
        help\_off = new Image(_widthchelpx_, _heightchelpx_);
        help\_off.src = "_httpiconchelpof_";
        pref\_off = new Image(_widthcprefx_, _heightcprefx_);
        pref\_off.src = "_httpiconcprefof_";
        search\_off = new Image(_widthtsrchx_, _heighttsrchx_);
        search\_off.src = "_httpicontsrchof_";
        titles\_off = new Image(_widthttitlx_, _heightttitlx_);
        titles\_off.src = "_httpiconttitlof_";
        authors\_off = new Image(_widthtauthx_, _heighttauthx_);
        authors\_off.src = "_httpicontauthof_";
    \}
// -->
</script>
}


#################
# GLOBAL MACROS #
#################

package Global

_linkotherlanguages_ {}


############################################################################
# Macros whose values are set from within the server at runtime. These are #
# here only for reference and to set default values if required.           #
############################################################################

_gwcgi_ {http://nowhere.nzdl.org/cgi-bin/gw}
_httpprefix_ {http://nowhere.nzdl.org}

_cookie_ {}

_collection_ {}
_compressedoptions_ {}
_querystring_ {}
_urlsafequerystring_ {}
_notdetached_ {0}
_istitle_ {0}

######################
# general web macros #
######################

_mailaddr_ {nzdl@nzdl.org}


###############
# link macros #
###############

_g_ {00} # default

_linkotherversion_ {
<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&v=1&g=_g_">
_textgotext_
</a><br>
}

_linkotherversion_[version=text] {
<a href="_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&v=0&g=_g_">
_textgographics_
</a><br>
}


###############
# http macros #
###############

# These contain the url without any quotes


_httpimg_ {_httpprefix_/images}

_httpcollection_{_httpprefix_/collect/_collection_}

_httppagex_ {_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&a=p&p=_1_}
_httppagehome_ {_httppagex_(home)}
_httppageabout_ {_httppagex_(about)}
_httppagehelp_ {_httppagex_(help)}
_httppagepref_ {_httppagex_(preferences)}
_httpgreenstone_ {_httppagex_(gsdl)}


_httpquery_ {_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&a=q}
_httpqueryresults_ {_httpquery_}
_httpbrowse_ {_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&a=b}
_httptext_ {_gwcgi_?e=_compressedoptions_&q=_urlsafequerystring_&a=t}
_httpbrowsetitles_ {_httpbrowse_&d=T.1}
_httpbrowseauthors_ {_httpbrowse_&d=A.1}


_httpiconarrrght_ {_httpimg_/arrrght.gif}
_widtharrrght_ {23}
_heightarrrght_ {15}

_httpiconbook_ {_httpimg_/book.gif}
_widthbook_ {18}
_heightbook_ {11}

_httpiconbshelf_ {_httpimg_/bshelf.gif}
_widthbshelf_ {20}
_heightbshelf_ {16}

_httpiconchalk_ {_httpimg_/chalk.gif}
_widthchalk_ {2000}
_heightchalk_ {10}

_httpiconchelpof_ {_httpimg_/chelpof.gif}
_httpiconchelpon_ {_httpimg_/chelpon.gif}
_widthchelpx_ {38}
_heightchelpx_ {20}

_httpiconchomeof_ {_httpimg_/chomeof.gif}
_httpiconchomeon_ {_httpimg_/chomeon.gif}
_widthchomex_ {41}
_heightchomex_ {20}

_httpiconclsdfldr_ {_httpimg_/clsdfldr.gif}
_widthclsdfldr_ {23}
_heightclsdfldr_ {15}

_httpiconcontoff_ {_httpimg_/contoff.gif}
_httpiconconton_ {_httpimg_/conton.gif}
_widthcontx_ {76}
_heightcontx_ {17}

_httpiconcprefof_ {_httpimg_/cprefof.gif}
_httpiconcprefon_ {_httpimg_/cprefon.gif}
_widthcprefx_ {85}
_heightcprefx_ {20}

_httpicondivb_ {_httpimg_/divb.gif}
_widthdivb_ {537}
_heightdivb_ {17}

_httpiconealltof_ {_httpimg_/ealltof.gif}
_httpiconeallton_ {_httpimg_/eallton.gif}
_widthealltx_ {44}
_heightealltx_ {30}

_httpiconeconcof_ {_httpimg_/econcof.gif}
_httpiconeconcon_ {_httpimg_/econcon.gif}
_widtheconcx_ {65}
_heighteconcx_ {30}

_httpiconedtchof_ {_httpimg_/edtchof.gif}
_httpiconedtchon_ {_httpimg_/edtchon.gif}
_widthedtchx_ {45}
_heightedtchx_ {30}

_httpiconeexpcof_ {_httpimg_/eexpcof.gif}
_httpiconeexpcon_ {_httpimg_/eexpcon.gif}
_widtheexpcx_ {62}
_heighteexpcx_ {30}

_httpiconetsecof_ {_httpimg_/etsecof.gif}
_httpiconetsecon_ {_httpimg_/etsecon.gif}
_widthetsecx_ {61}
_heightetsecx_ {30}

_httpicongsdl_ {_httpimg_/gsdl.gif}
_widthgsdl_ {140}
_heightgsdl_ {77}

_httpiconhauth_ {_httpimg_/h\_auth.gif}
_widthhauth_ {200}
_heighthauth_ {57}

_httpiconhhelp_ {_httpimg_/h\_help.gif}
_widthhhelp_ {200}
_heighthhelp_ {57}

_httpiconhpref_ {_httpimg_/h\_pref.gif}
_widthhpref_ {200}
_heighthpref_ {57}

_httpiconhsearch_ {_httpimg_/h\_search.gif}
_widthhsearch_ {200}
_heighthsearch_ {57}

_httpiconhtitle_ {_httpimg_/h\_title.gif}
_widthhtitle_ {200}
_heighthtitle_ {57}

_httpiconitext_ {_httpimg_/itext.gif}
_widthitext_ {16}
_heightitext_ {21}

_httpiconless_ {_httpimg_/less.gif}
_widthless_ {30}
_heightless_ {16}

_httpiconmore_ {_httpimg_/more.gif}
_widthmore_ {30}
_heightmore_ {16}

_httpiconopenbook_ {_httpimg_/openbook.gif}
_widthopenbook_ {28}
_heightopenbook_ {23}

_httpiconopenfldr_ {_httpimg_/openfldr.gif}
_widthopenfldr_ {23}
_heightopenfldr_ {15}

_httpiconqryresb_ {_httpimg_/qryresb.gif}
_widthqryresb_ {537}
_heightqryresb_ {17}

_httpiconsmtext_ {_httpimg_/smtext.gif}
_widthsmtext_ {23}
_heightsmtext_ {15}

_httpiconspacer_ {_httpimg_/spacer.gif}
_widthspacer_ {42}
_heightspacer_ {4}

_httpicontabspace_ {_httpimg_/tabspace.gif}
_widthtabspace_ {23}
_heighttabspace_ {15}

_httpicontauthgr_ {_httpimg_/tauthgr.gif}
_httpicontauthof_ {_httpimg_/tauthof.gif}
_httpicontauthon_ {_httpimg_/tauthon.gif}
_widthtauthx_ {110}
_heighttauthx_ {17}

_httpicontspace_ {_httpimg_/tspace.gif}
_widthtspace_ {20}
_heighttspace_ {17}

_httpicontsrchgr_ {_httpimg_/tsrchgr.gif}
_httpicontsrchof_ {_httpimg_/tsrchof.gif}
_httpicontsrchon_ {_httpimg_/tsrchon.gif}
_widthtsrchx_ {87}
_heighttsrchx_ {17}

_httpiconttitlgr_ {_httpimg_/ttitlgr.gif}
_httpiconttitlof_ {_httpimg_/ttitlof.gif}
_httpiconttitlon_ {_httpimg_/ttitlon.gif}
_widthttitlx_ {87}
_heightttitlx_ {17}

_httpiconwarning_ {_httpimg_/warning.gif}
_widthwarning_ {30}
_heightwarning_ {29}


_httpiconhabout_ {_httpimg_/h\_about.gif}
_widthhabout_ {200}
_heighthabout_ {57}

_httpiconhhome_ {_httpimg_/h\_home.gif}
_widthhhome_ {200}
_heighthhome_ {57}

_httpiconhname_ {_httpimg_/h\_name.gif}
_widthhname_ {200}
_heighthname_ {57}

_httpicontaboutof_ {_httpimg_/taboutof.gif}
_httpicontabouton_ {_httpimg_/tabouton.gif}
_widthtaboutx_ {50}
_heighttaboutx_ {20}

_httpicontnamegr_ {_httpimg_/tnamegr.gif}
_httpicontnameof_ {_httpimg_/tnameof.gif}
_httpicontnameon_ {_httpimg_/tnameon.gif}
_widthtnamex_ {95}
_heighttnamex_ {17}





#########
# Icons #
#########

# Must not include links (so they can be used as links). If you want to
# include links use _image
# The _icon family should consist of _iconX_, _iconX_[version=text] and _texticonX_

_iconless_{<img src="_httpiconless_" align=absbottom width=_widthless_
                height=_heightless_ border=0 alt="to previous section of book">}
_iconless_[version=text] {<_font_>view previous section</font>}

_iconmore_{<img src="_httpiconmore_" align=absbottom width=_widthmore_
                height=_heightmore_ border=0 alt="to next section of book">}
_iconmore_[version=text] {<_font_>view next section</font>}

_iconalphless_{<img src="_httpiconless_" align=absbottom width=_widthless_
                height=_heightless_ border=0 alt="to previous alphabetical section">}
_iconalphless_[version=text] {<_font_>previous section</font>}

_iconalphmore_{<img src="_httpiconmore_" align=absbottom width=_widthmore_
                height=_heightmore_ border=0 alt="to next alphabetical section">}
_iconalphmore_[version=text] {<_font_>next section</font>}

_iconprev_{<img src="_httpiconless_" align=absbottom width=_widthless_
                height=_heightless_ border=0 alt="">}
_iconprev_[version=text] {}

_iconnext_{<img src="_httpiconmore_" align=absbottom width=_widthmore_
                height=_heightmore_ border=0 alt="">}
_iconnext_[version=text] {}

_icontabspacer_ {<img src="_httpicontspace_" width=126 height=_heighttspace_ alt="">}
_icontabspacer_[version=text] {}
_icontabspacer2_ {<img src="_httpicontspace_" width=127 height=_heighttspace_ alt="">}
_icontabspacer2_[version=text] {}


_icontabsearchgreen_ {<img src="_httpicontsrchgr_" height=_heighttsrchx_ width=_widthtsrchx_ alt="_texticontabsearchgreen_" border=0>}
_icontabsearchgreen_[version=text] {_texticontabsearchgreen_}

_icontabtitlegreen_ {<img src="_httpiconttitlgr_" height=_heightttitlx_ width=_widthttitlx_ alt="_texticontabtitlegreen_" border=0>}
_icontabtitlegreen_[version=text] {_texticontabtitlegreen_}

_icontabauthorgreen_ {<img src="_httpicontauthgr_" height=_heighttauthx_ width=_widthtauthx_ alt="_texticontabauthorgreen_" border=0>}
_icontabauthorgreen_[version=text] {_texticontabauthorgreen_}


_iconblankbar_ {<center><img src="_httpicondivb_" width=_widthdivb_ height=_heightdivb_ alt=""></center>}
_iconblankbar_[version=text] {<br><hr><br>}


_icontext_ {<img border=0 align=absmiddle src="_httpiconitext_" width=_widthitext_ height=_heightitext_ alt="_texticontext_">}
_icontext_[version=text] {<_font_>_texticontext_</font>}

_iconsmalltext_ {<img src="_httpiconsmtext_" border=0 width=_widthsmtext_ height=_heightsmtext_
alt="_texticonsmalltext_">}
_iconsmalltext_ [version=text] {<small><_font_><b>view text: </b></font></small>}
_texticonsmalltext_ {View this section of the text}

_iconclosedfolder_ {<img src="_httpiconclsdfldr_" border=0 width=_widthclsdfldr_ height=_heightclsdfldr_
alt="_texticonclosedfolder_">}
_texticonclosedfolder_{Open this folder and view contents}
_iconclosedfolder_ [version=text] {<small><_font_><b>open sub-section: </b></font></small>}

_iconopenfolder_ {<img src="_httpiconopenfldr_" border=0 width=_widthopenfldr_ height=_heightopenfldr_
alt="close this folder">}
_iconopenfolder_ [version=text] {<small><_font_><b>close sub-section: </b></font></small>}
_iconclosedbook_ {<img src="_httpiconbook_" width=_widthbook_ height=_heightbook_ border=0
alt="open this book and view contents">}
_iconclosedbook_ [version=text] {<small><_font_><b>open book: </b></font></small>}
_iconopenbook_ {<img src="_httpiconopenbook_" width=_widthopenbook_ height=_heightopenbook_ border=0
alt="close this book">}
_iconopenbook_ [version=text] {<small><_font_><b>close book: </b></font></small>}
_iconopenbookshelf_ {<img src="_httpiconbshelf_" border=0 width=_widthbshelf_ height=_heightbshelf_
alt="close this section of the library">}
_iconopenbookshelf_ [version=text] {<small><_font_><b>close section: </b></font></small>}
_iconclosedbookshelf_ {<img src="_httpiconbshelf_" border=0 width=_widthbshelf_ height=_heightbshelf_
alt="open this section of the library and view contents">}
_iconclosedbookshelf_ [version=text] {<small><_font_><b>open section: </b></font></small>}
_iconpointer_ {<img src="_httpiconarrrght_" border=0 width=_widtharrrght_ height=_heightarrrght_>}
_iconpointer_ [version=text] {<small><_font_><b>current section-> </b></font></small>}
_icontab_ {<img src="_httpicontabspace_" width=_widthtabspace_ height=_heighttabspace_>}

_iconcontracttoc_ {<img name="concon" src="_httpiconeconcof_" width=_widtheconcx_ height=_heighteconcx_ alt="_texticoncontracttoc_" border=0>}
_iconcontracttoc_[version=text] {_texticoncontracttoc_}

_iconexpandtoc_ {<img name="expcon" src="_httpiconeexpcof_" width=_widtheexpcx_ height=_heighteexpcx_ 
alt="_texticonexpandtoc_" border=0>}
_iconexpandtoc_[version=text] {_texticonexpandtoc_}

_iconcontracttext_ {<img name="thissec" src="_httpiconetsecof_" width=_widthetsecx_ height=_heightetsecx_ 
alt="_texticoncontracttext_" border=0>}
_iconcontracttext_[version=text] {_texticoncontracttext_}

_iconexpandtext_ {<img name="alltext" src="_httpiconealltof_" width=_widthealltx_ height=_heightealltx_ alt="_texticonexpandtext_" border=0>}
_iconexpandtext_[version=text] {_texticonexpandtext_}

_icondetach_ {<img name="detach" src="_httpiconedtchof_" width=_widthedtchx_ height=_heightedtchx_ 
alt="_texticondetach_" border=0>}
_icondetach_[version=text] {_texticondetach_}

_iconwarning_ {<img src="_httpiconwarning_" width=_widthwarning_ height=_heightwarning_ border=0 align="left">}
_iconwarning_ [version=text] {_texticonwarning_}

_iconcont_ {<img name="cont" src="_httpiconcontoff_" width=_widthcontx_ height=_heightcontx_ border=0>}
_iconcont_ [version=text] {_texticoncont_}


###############
# Image links #
###############

# These might include a link (not like an _icon_
# An _image family should consist of _imageX_ _imageX_[version=text] and _textimageX_
_imagecollection_ {}
_imagecollection_[version=text] {}

_imagehome_ {<a href="_httppagehome_" 
    onMouseover = "img\_on('home')" 
    onMouseout = "img\_off('home')"><img name="home"
        src="_httpiconchomeof_" width=_widthchomex_ height=_heightchomex_
        border=0 alt="_textimagehome_"></a>}

_imagehome_[version=text] {
<a href="_httppagehome_">_textimagehome_</a>
}


_imageabout_ {<a href="_httppageabout_" 
    onMouseover = "img\_on('about')" 
    onMouseout = "img\_off('about')"><img name="about"
        src="_httpicontaboutof_" width=_widthtaboutx_ height=_heighttaboutx_
        border=0 alt="_textimageabout_"></a>}

_imageabout_[version=text] {
<a href="_httppageabout_">_textimageabout_</a>
}


_imagehelp_ {<a href="_httppagehelp_"
    onMouseover = "img\_on('help')" 
    onMouseout = "img\_off('help')"><img name="help" 
        src="_httpiconchelpof_" width=_widthchelpx_ height=_heightchelpx_ 
        border=0 alt="_textimagehelp_"></a>}

_imagehelp_[version=text] {
<a href="_httppagehelp_">_textimagehelp_</a>
}


_imagepref_ {<a href="_httppagepref_"
    onMouseover = "img\_on('pref')" 
    onMouseout = "img\_off('pref')"><img name="pref" 
        src="_httpiconcprefof_" width=_widthcprefx_ height=_heightcprefx_ 
        border=0 alt="_textimagepref_"></a>}

_imagepref_[version=text] {
<a href="_httppagepref_">_textimagepref_</a>
}
_imagepref_[style=htmlonly] {}


_imagegreenstone_ {<a href="_httpgreenstone_"><img src="_httpicongsdl_" width=_widthgsdl_ height=_heightgsdl_ 
border=0 alt="_textimagegreenstone_" hspace=0></a>
}

_imagegreenstone_[version=text] {
<a href="_httpgreenstone_">_textimagegreenstone_</a>
}


_imagesearch_ {<a href="_httpquery_" 
    onMouseover = "img\_on('search')"
    onMouseout = "img\_off('search')"><img name="search"
        src="_httpicontsrchof_" width=_widthtsrchx_ height=_heighttsrchx_ 
        border=0 alt="_textimagesearch_"></a>}

_imagesearch_[version=text] {<a href="_httpquery_"><_font_>_textimagesearch_</font></a><br>
}

_imagesearch_[style=htmlonly] {<img src="_httpicontspace_" alt="" width=_widthtspace_ height=_heighttspace_>}
_imagesearch_[style=htmlonly,version=text] {}	

_imagebrowsetitles_ {<a href="_httpbrowsetitles_"
    onMouseover = "img\_on('titles')" 
    onMouseout = "img\_off('titles')"><img name="titles" 
        src="_httpiconttitlof_" width=_widthttitlx_ height=_heightttitlx_ 
        border=0 alt="_textimagebrowsetitles_"></a>}

_imagebrowsetitles_[version=text] {<a href="_httpbrowsetitles_"><_font_>_textimagebrowsetitles_</font></a><br>
}

_imagebrowseauthors_ {<a href="_httpbrowseauthors_"
    onMouseover = "img\_on('authors')" 
    onMouseout = "img\_off('authors')"><img name="authors" 
        src="_httpicontauthof_" width=_widthtauthx_ height=_heighttauthx_ 
        border=0 alt="_textimagebrowseauthors_"></a>}

_imagebrowseauthors_[version=text] {<a href="_httpbrowseauthors_"><_font_>_textimagebrowseauthors_</font></a><br>
}

_imagedetach_ {onMouseover = "img\_on('detach')"
onMouseout = "img\_off('detach')">_icondetach_</a>}
_imagedetach_[version=text] {><_font_>_texticondetach_</font></a><br>}

_imagecontracttoc_ {" onMouseover = "img\_on('concon')"
onMouseout = "img\_off('concon')">_iconcontracttoc_</a>}
_imagecontracttoc_[version=text] {"><_font_>_texticoncontracttoc_</font></a><br>}
_imagecontracttoc_[style=htmlonly] {}

_imageexpandtoc_ {" onMouseover = "img\_on('expcon')"
onMouseout = "img\_off('expcon')">_iconexpandtoc_</a>}
_imageexpandtoc_ [version=text] {"><_font_>_texticonexpandtoc_</font></a><br>}
_imageexpandtoc_ [style=htmlonly] {}

_imagecontracttext_ {0" onMouseover = "img\_on('thissec')"
onMouseout = "img\_off('thissec')">_iconcontracttext_</a>}
_imagecontracttext_[version=text] {0"><_font_>display only current section</font></a><br>}
_imagecontracttext_[style=htmlonly] {}

_imageexpandtext_ {1" onMouseover = "img\_on('alltext')"
onMouseout = "img\_off('alltext')">_iconexpandtext_</a>}
_imageexpandtext_[version=text] {1"><_font_>display all text</font></a><br>}
_imageexpandtext_[style=htmlonly] {}

_imagecont_ {onMouseover = "img\_on('cont')"
onMouseout = "img\_off('cont')">_iconcont_</a>
}
_imagecont_[version=text] {><_font_>_texticoncont_</font></a><br>}


_imagestandardbar_ {<center>
<nobr>_imagesearch__icontabspacer__imagebrowsetitles__icontabspacer2__imagebrowseauthors_</nobr>
</center>
<p>
}

_imagestandardbar_[version=text] {
<_font_>
_imagesearch_<br>
_imagebrowsetitles_<br>
_imagebrowseauthors_<br>
</font>
<p>
}


################################
# English Language Text Macros #
################################

_collectionname_ {Untitled collection}
_textimagecollection_ {_collectionname_}
_textimagehome_ {Home page}
_textimageabout_ {About page}
_textimagehelp_ {Help page}
_textimagepref_ {Preferences page}
_textimagegreenstone_ {Greenstone Digital Library Software}

_textimagesearch_ {Search for specific terms}
_textimagebrowsetitles_ {Browse alphabetical list of titles}
_textimagebrowseauthors_ {Browse alphabetical list of authors}


_textgotext_ {<i>View this page in text format</i>}
_textgographics_ {<i>View this page in graphics format</i>}

_texticontabsearchgreen_{Search}
_texticontabauthorgreen_{Authors A-Z}
_texticontabtitlegreen_{Titles A-Z}
_texticontext_ {View the document}

_texticondetach_ {Open this page in a new window}
_texticoncontracttoc_ {Collapse table of contents}
_texticonexpandtoc_ {Expand table of contents}
_texticonexpandtext_ {Display all text}
_texticoncontracttext_ {Display text only for currently selected section}

_texticonwarning_ {<b>Warning: </b>}
_texticoncont_ {continue?}