/**********************************************************************
 *
 * recptconfinfo.cpp -- tools for reading and storing configuration data
 *                      needed by the receptionist
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: recptconfinfo.cpp 112 1999-01-12 01:51:06Z rjmcnab $
 *
 *********************************************************************/

/*
   $Log$
   Revision 1.2  1999/01/12 01:51:06  rjmcnab

   Standard header.

   Revision 1.1  1999/01/08 08:41:07  rjmcnab

   Moved from lib directory.

 */

static char *RCSID = "$Id: recptconfinfo.cpp 112 1999-01-12 01:51:06Z rjmcnab $";


#include "recptconfinfo.h"

bool recpt_cfg_info_t::read_cfg_file (const text_t &filename) {
  text_t key;
  text_tarray cfgline;
  char *cstr = filename.getcstr();
  ifstream confin (cstr);
  delete cstr;

  if (confin) {
    while (read_cfg_line(confin, cfgline) >= 0) {
      if (cfgline.size () >= 2) {
	key = cfgline[0];
	cfgline.erase(cfgline.begin());
	if (key == "maintainer")        maintainer = cfgline[0];
	else if (key == "indexes")      indexes = cfgline;
	else if (key == "defaultindex") defaultindex = cfgline[0];
	else if (key == "macrofiles")   macrofiles = cfgline;
	else if (key == "builddate")    builddate = cfgline[0];
	else if (key == "indexmap")     indexmap = cfgline;
	else if (key == "numbytes")     numbytes = (double)cfgline[0].getint();
	else if (key == "numdocs")      numdocs = (double)cfgline[0].getint();
	else if (key == "defaultencoding") 
	  defaultencoding = cfgline[0];
      }
    }
    confin.close ();
    return true;
  }
  return false;
}
