/**********************************************************************
 *
 * recptconfinfo.h -- tools for reading and storing configuration data
 *                    needed by the receptionist
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * PUT COPYRIGHT NOTICE HERE
 *
 * $Id: recptconfinfo.h 112 1999-01-12 01:51:06Z rjmcnab $
 *
 *********************************************************************/


#ifndef RECPTCONFINFO_H
#define RECPTCONFINFO_H


class recpt_cfg_info_t {
public:
  recpt_cfg_info_t () {numbytes=0.0; numdocs=0.0;};

  // read_cfg_file will attempt to read a configuration
  // file and extract the fields listed below. It returns
  // true if it successfully read the file, and false
  // otherwise.
  bool read_cfg_file (const text_t &filename);

  // the fields which this reader handles
  text_t      maintainer;
  text_tarray indexes;
  text_t      defaultindex;
  text_tarray macrofiles;
  text_t      builddate;
  text_tarray indexmap;
  double      numbytes;
  double      numdocs;
  text_t      defaultencoding;
};


#endif
